Subject: bug#29817: closed (Re: bug#29817: 26.0.50; Saving files on remotes very slow if shell buffer is open)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 28 Sep 2019 23:34:01 +0000

Your bug report

#29817: 26.0.50; Saving files on remotes very slow if shell buffer is open

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
29817: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=29817
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#29817: 26.0.50; Saving files on remotes very slow if shell buffer is open
From: Stefan Kangas <[email-masked]>
To: Vitalie Spinu <[email-masked]>
Cc: Glenn Morris <[email-masked]>, [email-masked]
Date: Sun, 29 Sep 2019 01:32:44 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Vitalie Spinu <[email-masked]> writes:

>>> On Fri, Dec 22 2017 15:44, Glenn Morris wrote:
>
>> This is a 6-month old development version, so the first thing to ask is:
>> can you yourself reproduce this with the current emacs-26 branch?
>
> Damn. I actually pulled and recompiled before sending ... but it wasn't on
> master :-/
>
> It's fixed in master. Thanks!

Great, I'm therefore closing this bug.

Best regards,
Stefan Kangas

Subject: 26.0.50; Saving files on remotes very slow if shell buffer is open
From: Vitalie Spinu <[email-masked]>
To: [email-masked]
Date: Fri, 22 Dec 2017 21:38:34 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I am observing a rather weird interaction between tramp and comint. Saving and
editing files on remotes is pretty snappy till I open a shell buffer. Once a
shell is open it can take good 10s to save a buffer. Editing and navigation are
also impaired.

Steps to reproduce:

  1) emacs -Q
  2) /ssh:remote-host:tmp.txt
  3) save tmp.txt (snappy)
  4) M-x shell
  5) back to tmp.txt and save (terribly slow)

Can anyone reproduce this?

  Vitalie

In GNU Emacs 26.0.50 (build 2, x86_64-pc-linux-gnu, GTK+ Version 3.18.9) of 2017-12-22 built on galago
Repository revision: 5d45ba1a05bccc53d52422e867f378a0adeb8970
Windowing system distributor 'The X.Org Foundation', version 11.0.11804000
System Description:	Ubuntu 16.04.2 LTS